Get Contact

Retrieve a single contact by ID or email address.

GET/contacts/{contact_id_or_email}

Resend Compatibility: Partial -- Postflare supports lookup by email address in addition to ID, and returns properties.

Requires a full_access API key.

Path Parameters

contact_id_or_emailstringrequired

The contact ID (UUID) or email address.

Response Fields

objectstring

Always "contact".

idstring

The contact ID.

emailstring

Contact email address.

first_namestring | null

Contact first name.

last_namestring | null

Contact last name.

unsubscribedboolean

Whether the contact is unsubscribed.

propertiesobject

Custom key-value properties.

created_atstring

ISO 8601 timestamp.

curl -X GET 'https://api.postflare.app/contacts/e169aa45-1ecf-4183-9955-b1499d5701d3' \
  -H 'Authorization: Bearer re_xxxxxxxxx'
import { Resend } from 'resend';

const resend = new Resend('re_xxxxxxxxx');

const { data, error } = await resend.contacts.get({
  id: 'e169aa45-1ecf-4183-9955-b1499d5701d3',
  audienceId: '<audience_id>', // Required by Resend SDK
});

Response

Response
{
  "object": "contact",
  "id": "e169aa45-1ecf-4183-9955-b1499d5701d3",
  "email": "user@example.com",
  "first_name": "John",
  "last_name": "Doe",
  "unsubscribed": false,
  "properties": {},
  "created_at": "2026-01-01T00:00:00.000Z"
}